## ChamplainImageRenderer

ChamplainImageRenderer — A renderer that renders tiles from binary image data

## Functions

ChamplainImageRenderer * | champlain_image_renderer_new ()

## Types and Values

struct | ChamplainImageRenderer

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ChamplainRenderer
                ╰── ChamplainImageRenderer

## Description

ChamplainImageRenderer renders tiles from binary image data. The rendering is performed using GdkPixbufLoader so the set of supported image formats is equal to the set of formats supported by GdkPixbufLoader.

## Functions

### champlain_image_renderer_new ()

    ChamplainImageRenderer *
    champlain_image_renderer_new (void);

Constructor of ChamplainImageRenderer.

#### Returns

a constructed ChamplainImageRenderer object

Since 0.8

## Types and Values

### struct ChamplainImageRenderer

    struct ChamplainImageRenderer;

The ChamplainImageRenderer structure contains only private data and should be accessed using the provided API

Since 0.8